Install v. 3.0.6 on the same server as v. 2.10.19?

Questions & Problems about Installing or Upgrading with Version 3 phpList.
Forum rules
Please help the volunteers to help you by supplying the version of phpList you are using, browser & version and if possible, a link to your phpList installation.

Install v. 3.0.6 on the same server as v. 2.10.19?

Postby nickm » 3:15am, Tue 24 Jun, 2014

I'm currently using the old version of phplist (2.10.19). I would like to test the new version (3.0.6) but don't want to upgrade the old version just yet, since I've tweaked my current installation quite a bit and am not sure if the new version provides the same functionality.

Therefore I'm wondering if it is possible to install the new version alongside the old version on the same server? If so, is there something I have to pay attention to in order not to tamper with the old installation?
nickm
phpList newbie
 
Posts: 4
Joined: 4:06pm, Wed 11 Dec, 2013

Re: Install v. 3.0.6 on the same server as v. 2.10.19?

Postby Dragonrider » 4:25am, Tue 24 Jun, 2014

Yes you can, however be sure to use a differently named directory and database.

For example, if your version 2 install is in domain/lists use something like domain/list3 or similar.

If you have access to multiple databases, create a fresh DB for use by version 3. If you are limited to just one DB, then ensure your db prefix is again different to your Version 2 db prefix. Again, for example, phplist_ for version 2, use something like list3_

Remeber also that config/config.php file is a quickstart option, from what you say abut your customised version 2, I'd recommend starting with the config/config-extended.php version, RENAMING it to config.php before you start, thus replacing the quick start smaller config.php file.
My sites:- http://wharfedalefestival.co.uk, http://ilkleygardeners.org.uk, http://emergencyaid.net, http://dragonrider.co.uk
Latest phpList version is now 3.0.12 (3 February 2015) and requires a minimum of MySQL 5.0 and PHP 5.3.x
Dragonrider
Moderator
 
Posts: 3460
Joined: 6:58am, Sun 02 Jul, 2006
Location: Ilkley, West Yorkshire, United Kingdom

Re: Install v. 3.0.6 on the same server as v. 2.10.19?

Postby nickm » 10:59pm, Tue 24 Jun, 2014

Great! Thanks a lot for the useful tips!
nickm
phpList newbie
 
Posts: 4
Joined: 4:06pm, Wed 11 Dec, 2013


Return to Installing and Upgrading

Who is online

Users browsing this forum: No registered users and 1 guest